centos安装php-posix

发布时间:2016-09-09 14:50:25编辑:丝画阁阅读(412)

今天使用workerman-vmstat部署监控系统环境时,页面部署时发现自检不通过,报错如下:

 PHP-POSIX Critical: php-posix functions are not installed

运行php -m会列出命令行 PHP Cli 已经安装的扩展

~# php -m
[PHP Modules]
libevent
pcntl
...
posix也没在里面,是没有安装php-posix,为了偷懒就直接使用yum来安装组件.

运行php --ini查找PHP Cli的ini文件位置
	

1、利用yum search查找扩展包

~# yum search php-process

2、使用yum install安装扩展包

~# yum install -y php-process

可以使用以下脚本测试本机PHP环境是否满足WorkerMan运行要求。
curl -Ss http://www.workerman.net/check.php | php
 

 系统:centos 6.5 php版本:PHP 5.4.9

1.安装php-posix
#yum -y install php-process
2.验证是否安装上了
#php -m|grep posix
posix
好了,可以看到php已经支持posix了,重启nginx就ok.

关键字